import axios from "axios";

const API_URL = "http://localhost:8080/api/v1/";
const APPOINTMENTS_URL = API_URL.concat("appointments/");

class AppointmentService {
  getAppointmentsForUser(userId, token) {
    return axios.get(APPOINTMENTS_URL.concat("all/", userId), {
      headers: {
        Authorization: `Bearer ${token}`,
      },
    });
  }
  createAppointment(appointmentObject) {
    return axios.post(APPOINTMENTS_URL, appointmentObject);
  }
  deleteAppointment(appointmentId) {
    return axios.delete(APPOINTMENTS_URL.concat(appointmentId));
  }
}
export default new AppointmentService();
